from pathlib import Path
import torch

BATCH_SIZE = 96
NUM_EPOCHS = 75
NUM_WORKERS = 4
NUM_SEGMENTS = 80
NUM_SEGMENT_HOPS = 15
SEEDS = [42, 1337, 666]
ALL_DATASET_PATHS = list((Path(__file__).parent.absolute() / 'data' / 'mimii').glob('*/'))

DEVICE = 'cuda' if torch.cuda.is_available() else 'cpu'

SUB_SPEC_HEIGT = 20
SUB_SPEC_HOP = 10